Namespace Data

  ''' <summary>
  ''' State class.
  ''' </summary>
  ''' <remarks></remarks>
  Public Class State

    Private _name As String
    Private _code As String

    ''' <summary>
    ''' State name.
    ''' </summary>
    ''' <value>State <see cref="String">name</see>.</value>
    ''' <returns>State <see cref="String">name</see>.</returns>
    ''' <remarks></remarks>
    Public Property Name() As String
      Get
        Return _name
      End Get
      Set(ByVal value As String)
        _name = value
      End Set
    End Property

    ''' <summary>
    ''' State code.
    ''' </summary>
    ''' <value>State <see cref="String">code</see>.</value>
    ''' <returns>State <see cref="String">code</see>.</returns>
    ''' <remarks></remarks>
    Public Property Code() As String
      Get
        Return _code
      End Get
      Set(ByVal value As String)
        _code = value
      End Set
    End Property

  End Class
End Namespace