Namespace Data

  ''' <summary>
  ''' Country class.
  ''' </summary>
  ''' <remarks></remarks>
  Public Class Country

    Private _name As String
    Private _code As String

    ''' <summary>
    ''' Name of country.
    ''' </summary>
    ''' <value>Country <see cref="String">name</see>.</value>
    ''' <returns>Country <see cref="String">name</see>.</returns>
    ''' <remarks></remarks>
    Public Property Name() As String
      Get
        Return _name
      End Get
      Set(ByVal value As String)
        _name = value
      End Set
    End Property

    ''' <summary>
    ''' Country code.
    ''' </summary>
    ''' <value>Country <see cref="String">code</see>.</value>
    ''' <returns>Country <see cref="String">code</see>.</returns>
    ''' <remarks></remarks>
    Public Property Code() As String
      Get
        Return _code
      End Get
      Set(ByVal value As String)
        _code = value
      End Set
    End Property

  End Class
End Namespace
